org.springframework.batch.core.repository.dao

## Interface ExecutionContextDao

- All Known Implementing Classes:
    JdbcExecutionContextDao, MapExecutionContextDao

      public interface ExecutionContextDao

  DAO interface for persisting and retrieving `ExecutionContext`s.
  Author:
    Robert Kasanicky, David Turanski

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `ExecutionContext` | `getExecutionContext(JobExecution jobExecution)`
    `ExecutionContext` | `getExecutionContext(StepExecution stepExecution)`
    `void` | `saveExecutionContext(JobExecution jobExecution)` Persist the execution context associated with the given jobExecution, persistent entry for the context should not exist yet.
    `void` | `saveExecutionContext(StepExecution stepExecution)` Persist the execution context associated with the given stepExecution, persistent entry for the context should not exist yet.
    `void` | `saveExecutionContexts(java.util.Collection<StepExecution> stepExecutions)` Persist the execution context associated with each stepExecution in a given collection, persistent entry for the context should not exist yet.
    `void` | `updateExecutionContext(JobExecution jobExecution)` Persist the updates of execution context associated with the given jobExecution.
    `void` | `updateExecutionContext(StepExecution stepExecution)` Persist the updates of execution context associated with the given stepExecution.

- - ### Method Detail

    - #### getExecutionContext

          ExecutionContext getExecutionContext(JobExecution jobExecution)

      Parameters:
        `jobExecution` - `JobExecution` instance that contains the context.
      Returns:
        execution context associated with the given jobExecution

    - #### getExecutionContext

          ExecutionContext getExecutionContext(StepExecution stepExecution)

      Parameters:
        `stepExecution` - `StepExecution` instance that contains the context.
      Returns:
        execution context associated with the given stepExecution

    - #### saveExecutionContext

          void saveExecutionContext(JobExecution jobExecution)

      Persist the execution context associated with the given jobExecution, persistent entry for the context should not exist yet.
      Parameters:
        `jobExecution` - `JobExecution` instance that contains the context.

    - #### saveExecutionContext

          void saveExecutionContext(StepExecution stepExecution)

      Persist the execution context associated with the given stepExecution, persistent entry for the context should not exist yet.
      Parameters:
        `stepExecution` - `StepExecution` instance that contains the context.

    - #### saveExecutionContexts

          void saveExecutionContexts(java.util.Collection<StepExecution> stepExecutions)

      Persist the execution context associated with each stepExecution in a given collection, persistent entry for the context should not exist yet.
      Parameters:
        `stepExecutions` - a collection of `StepExecution`s that contain the contexts.

    - #### updateExecutionContext

          void updateExecutionContext(JobExecution jobExecution)

      Persist the updates of execution context associated with the given jobExecution. Persistent entry should already exist for this context.
      Parameters:
        `jobExecution` - `JobExecution` instance that contains the context.

    - #### updateExecutionContext

          void updateExecutionContext(StepExecution stepExecution)

      Persist the updates of execution context associated with the given stepExecution. Persistent entry should already exist for this context.
      Parameters:
        `stepExecution` - `StepExecution` instance that contains the context.